Create Insight Template Group
Creates a new insight template group for organizing related insight templates, and returns the created group.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const insightTemplateGroupDetail = await client.ai.conversations.insightGroups.insightGroups({
name: 'name',
});
console.log(insightTemplateGroupDetail.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
insight_template_group_detail = client.ai.conversations.insight_groups.insight_groups(
name="name",
)
print(insight_template_group_detail.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
insightTemplateGroupDetail, err := client.AI.Conversations.InsightGroups.InsightGroups(context.TODO(), telnyx.AIConversationInsightGroupInsightGroupsParams{
Name: "name",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", insightTemplateGroupDetail.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.insightgroups.InsightGroupInsightGroupsParams;
import com.telnyx.sdk.models.ai.conversations.insightgroups.InsightTemplateGroupDetail;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InsightGroupInsightGroupsParams params = InsightGroupInsightGroupsParams.builder()
.name("name")
.build();
InsightTemplateGroupDetail insightTemplateGroupDetail = client.ai().conversations().insightGroups().insightGroups(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
insight_template_group_detail = telnyx.ai.conversations.insight_groups.insight_groups(name: "name")
puts(insight_template_group_detail)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$insightTemplateGroupDetail = $client
->ai
->conversations
->insightGroups
->insightGroups(
name: 'name', description: 'description', webhook: 'webhook'
);
var_dump($insightTemplateGroupDetail);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:insight-groups insight-groups \
--api-key 'My API Key' \
--name namecurl --request POST \
--url https://api.telnyx.com/v2/ai/conversations/insight-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Name",
"description": "Description",
"webhook": ""
}
'{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Name",
"description": "Description",
"created_at": "2024-01-23T18:10:02.574Z",
"insights": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"instructions": "Instructions",
"created_at": "2024-01-23T18:10:02.574Z",
"insight_type": "custom",
"name": "",
"webhook": "",
"json_schema": "string"
}
],
"webhook": ""
}
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "10036",
"title": "Resource is being processed",
"detail": "A request with this Idempotency-Key is already being processed.",
"source": {
"pointer": "/header/Idempotency-Key"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional opaque, unquoted key for safely retrying the same logical request. Keys must contain 1 to 255 letters, numbers, hyphens, or underscores. Generate a unique UUID v4 for each operation and reuse it only when retrying that operation with the same request. Invalid headers—including duplicate, empty, malformed, or overlong values—return 400 with error code 10015. A request already in progress with the same key returns 409; reusing the key with a different request returns 422. Only successful responses are replayed, for up to 24 hours. Do not include sensitive data in the key.
1 - 255^[A-Za-z0-9_-]{1,255}$Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const insightTemplateGroupDetail = await client.ai.conversations.insightGroups.insightGroups({
name: 'name',
});
console.log(insightTemplateGroupDetail.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
insight_template_group_detail = client.ai.conversations.insight_groups.insight_groups(
name="name",
)
print(insight_template_group_detail.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
insightTemplateGroupDetail, err := client.AI.Conversations.InsightGroups.InsightGroups(context.TODO(), telnyx.AIConversationInsightGroupInsightGroupsParams{
Name: "name",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", insightTemplateGroupDetail.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.insightgroups.InsightGroupInsightGroupsParams;
import com.telnyx.sdk.models.ai.conversations.insightgroups.InsightTemplateGroupDetail;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InsightGroupInsightGroupsParams params = InsightGroupInsightGroupsParams.builder()
.name("name")
.build();
InsightTemplateGroupDetail insightTemplateGroupDetail = client.ai().conversations().insightGroups().insightGroups(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
insight_template_group_detail = telnyx.ai.conversations.insight_groups.insight_groups(name: "name")
puts(insight_template_group_detail)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$insightTemplateGroupDetail = $client
->ai
->conversations
->insightGroups
->insightGroups(
name: 'name', description: 'description', webhook: 'webhook'
);
var_dump($insightTemplateGroupDetail);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:insight-groups insight-groups \
--api-key 'My API Key' \
--name namecurl --request POST \
--url https://api.telnyx.com/v2/ai/conversations/insight-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Name",
"description": "Description",
"webhook": ""
}
'{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Name",
"description": "Description",
"created_at": "2024-01-23T18:10:02.574Z",
"insights": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"instructions": "Instructions",
"created_at": "2024-01-23T18:10:02.574Z",
"insight_type": "custom",
"name": "",
"webhook": "",
"json_schema": "string"
}
],
"webhook": ""
}
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "10036",
"title": "Resource is being processed",
"detail": "A request with this Idempotency-Key is already being processed.",
"source": {
"pointer": "/header/Idempotency-Key"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"errors": [
{
"code": "10007",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}